glibmm: Gio::DBus::Error Class Reference

glibmm 2.56.0

Public Types | Public Member Functions | List of all members
Gio::DBus::Error Class Reference

`#include <giomm/dbuserror.h>`

Inheritance diagram for Gio::DBus::Error:
[legend]

## Public Types
enum | Code { FAILED, NO_MEMORY, SERVICE_UNKNOWN, NAME_HAS_NO_OWNER, NO_REPLY, IO_ERROR, BAD_ADDRESS, NOT_SUPPORTED, LIMITS_EXCEEDED, ACCESS_DENIED, AUTH_FAILED, NO_SERVER, TIMEOUT, NO_NETWORK, ADDRESS_IN_USE, DISCONNECTED, INVALID_ARGS, FILE_NOT_FOUND, FILE_EXISTS, UNKNOWN_METHOD, TIMED_OUT, MATCH_RULE_NOT_FOUND, MATCH_RULE_INVALID, SPAWN_EXEC_FAILED, SPAWN_FORK_FAILED, SPAWN_CHILD_EXITED, SPAWN_CHILD_SIGNALED, SPAWN_FAILED, SPAWN_SETUP_FAILED, SPAWN_CONFIG_INVALID, SPAWN_SERVICE_INVALID, SPAWN_SERVICE_NOT_FOUND, SPAWN_PERMISSIONS_INVALID, SPAWN_FILE_INVALID, SPAWN_NO_MEMORY, UNIX_PROCESS_ID_UNKNOWN, INVALID_SIGNATURE, INVALID_FILE_CONTENT, SELINUX_SECURITY_CONTEXT_UNKNOWN, ADT_AUDIT_DATA_UNKNOWN, OBJECT_PATH_IN_USE, UNKNOWN_OBJECT, UNKNOWN_INTERFACE, UNKNOWN_PROPERTY, PROPERTY_READ_ONLY }
| Error codes for the G_DBUS_ERROR error domain. More...

## Public Member Functions
| Error (Code error_code, const Glib::ustring& error_message)
| Error (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
| ~Error () noexcept override
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Member Enumeration Documentation

## ◆ Code

enum Gio::DBus::Error::Code

Error codes for the G_DBUS_ERROR error domain.

Since glibmm 2.26:

Enumerator
FAILED | A generic error; "something went wrong" - see the error message for more.
NO_MEMORY | There was not enough memory to complete an operation.
SERVICE_UNKNOWN | The bus doesn't know how to launch a service to supply the bus name you wanted.
NAME_HAS_NO_OWNER | The bus name you referenced doesn't exist (i.e. no application owns it).
NO_REPLY | No reply to a message expecting one, usually means a timeout occurred.
IO_ERROR | Something went wrong reading or writing to a socket, for example.
BAD_ADDRESS | A D-Bus bus address was malformed.
NOT_SUPPORTED | Requested operation isn't supported (like ENOSYS on UNIX).
LIMITS_EXCEEDED | Some limited resource is exhausted.
ACCESS_DENIED | Security restrictions don't allow doing what you're trying to do.
AUTH_FAILED | Authentication didn't work.
NO_SERVER | Unable to connect to server (probably caused by ECONNREFUSED on a socket).
TIMEOUT | Certain timeout errors, possibly ETIMEDOUT on a socket. Note that DBUS_ERROR_NO_REPLY is used for message reply timeouts. Warning: this is confusingly-named given that DBUS_ERROR_TIMED_OUT also exists. We can't fix it for compatibility reasons so just be careful.
NO_NETWORK | No network access (probably ENETUNREACH on a socket).
ADDRESS_IN_USE | Can't bind a socket since its address is in use (i.e. EADDRINUSE).
DISCONNECTED | The connection is disconnected and you're trying to use it.
INVALID_ARGS | Invalid arguments passed to a method call.
FILE_NOT_FOUND | Missing file.
FILE_EXISTS | Existing file and the operation you're using does not silently overwrite.
UNKNOWN_METHOD | Method name you invoked isn't known by the object you invoked it on.
TIMED_OUT | Certain timeout errors, e.g. while starting a service. Warning: this is confusingly-named given that DBUS_ERROR_TIMEOUT also exists. We can't fix it for compatibility reasons so just be careful.
MATCH_RULE_NOT_FOUND | Tried to remove or modify a match rule that didn't exist.
MATCH_RULE_INVALID | The match rule isn't syntactically valid.
SPAWN_EXEC_FAILED | While starting a new process, the exec() call failed.
SPAWN_FORK_FAILED | While starting a new process, the fork() call failed.
SPAWN_CHILD_EXITED | While starting a new process, the child exited with a status code.
SPAWN_CHILD_SIGNALED | While starting a new process, the child exited on a signal.
SPAWN_FAILED | While starting a new process, something went wrong.
SPAWN_SETUP_FAILED | We failed to setup the environment correctly.
SPAWN_CONFIG_INVALID | We failed to setup the config parser correctly.
SPAWN_SERVICE_INVALID | Bus name was not valid.
SPAWN_SERVICE_NOT_FOUND | Service file not found in system-services directory.
SPAWN_PERMISSIONS_INVALID | Permissions are incorrect on the setuid helper.
SPAWN_FILE_INVALID | Service file invalid (Name, User or Exec missing).
SPAWN_NO_MEMORY | Tried to get a UNIX process ID and it wasn't available.
UNIX_PROCESS_ID_UNKNOWN | Tried to get a UNIX process ID and it wasn't available.
INVALID_SIGNATURE | A type signature is not valid.
INVALID_FILE_CONTENT | A file contains invalid syntax or is otherwise broken.
SELINUX_SECURITY_CONTEXT_UNKNOWN | Asked for SELinux security context and it wasn't available.
ADT_AUDIT_DATA_UNKNOWN | Asked for ADT audit data and it wasn't available.
OBJECT_PATH_IN_USE | There's already an object with the requested object path.
UNKNOWN_OBJECT | Object you invoked a method on isn't known. Since glibmm 2.42:
UNKNOWN_INTERFACE | Interface you invoked a method on isn't known by the object. Since glibmm 2.42:
UNKNOWN_PROPERTY | Property you tried to access isn't known by the object. Since glibmm 2.42:
PROPERTY_READ_ONLY | Property you tried to set is read-only. Since glibmm 2.42:

## Constructor & Destructor Documentation

## ◆ Error() [1/2]

Gio::DBus::Error::Error | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

## ◆ Error() [2/2]

Gio::DBus::Error::Error | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gio::DBus::Error::code | ( |  | ) | const